%modules = ( # path to module name map
    "QtDeclarative" => "$basedir/src/declarative",
    "QtQuick" => "$basedir/src/quick",
    "QtQuick1" => "$basedir/src/qtquick1",
    "QtQuickTest" => "$basedir/src/qmltest",
    "QtQmlDevTools" => "$basedir/src/qmldevtools",
);
%moduleheaders = ( # restrict the module headers to those found in relative path
    "QtQmlDevTools" => "../declarative/qml/parser",
);
%classnames = (
    "qtdeclarativeversion.h" => "QtDeclarativeVersion",
);
%mastercontent = (
    "gui" => "#include <QtGui/QtGui>\n",
    "script" => "#include <QtScript/QtScript>\n",
    "network" => "#include <QtNetwork/QtNetwork>\n",
    "testlib" => "#include <QtTest/QtTest>\n",
);
%modulepris = (
    "QtDeclarative" => "$basedir/modules/qt_declarative.pri",
    "QtQuick" => "$basedir/modules/qt_quick.pri",
    "QtQuick1" => "$basedir/modules/qt_qtquick1.pri",
    "QtQuickTest" => "$basedir/modules/qt_qmltest.pri",
    "QtQmlDevTools" => "$basedir/modules/qt_qmldevtools.pri",
);
%deprecatedheaders = (
    "QtDeclarative" => {
        "qquickcanvas.h" => "QtQuick/qquickcanvas.h",
        "qquickitem.h" => "QtQuick/qquickitem.h",
        "qquickpainteditem.h" => "QtQuick/qquickpainteditem.h",
        "qquickview.h" => "QtQuick/qquickview.h",
        "QQuickCanvas" => "QtQuick/QQuickCanvas",
        "QQuickItem" => "QtQuick/QQuickItem",
        "QQuickPaintedItem" => "QtQuick/QQuickPaintedItem",
        "QQuickView" => "QtQuick/QQuickView",
        "QQuickTransform" => "QtQuick/QQuickTransform",
        "designersupport.h" => "QtQuick/designersupport.h",
        "qsgengine.h" => "QtQuick/qsgengine.h",
        "qsgflatcolormaterial.h" => "QtQuick/qsgflatcolormaterial.h",
        "qsggeometry.h" => "QtQuick/qsggeometry.h",
        "qsgmaterial.h" => "QtQuick/qsgmaterial.h",
        "qsgnode.h" => "QtQuick/qsgnode.h",
        "qsgsimplematerial.h" => "QtQuick/qsgsimplematerial.h",
        "qsgsimplerectnode.h" => "QtQuick/qsgsimplerectnode.h",
        "qsgsimpletexturenode.h" => "QtQuick/qsgsimpletexturenode.h",
        "qsgtexture.h" => "QtQuick/qsgtexture.h",
        "qsgtexturematerial.h" => "QtQuick/qsgtexturematerial.h",
        "qsgvertexcolormaterial.h" => "QtQuick/qsgvertexcolormaterial.h",
        "QSGBasicGeometryNode" => "QtQuick/QSGBasicGeometryNode",
        "QSGClipNode" => "QtQuick/QSGClipNode",
        "QSGDynamicTexture" => "QtQuick/QSGDynamicTexture",
        "QSGEngine" => "QtQuick/QSGEngine",
        "QSGFlatColorMaterial" => "QtQuick/QSGFlatColorMaterial",
        "QSGGeometry" => "QtQuick/QSGGeometry",
        "QSGGeometryNode" => "QtQuick/QSGGeometryNode",
        "QSGMaterial" => "QtQuick/QSGMaterial",
        "QSGMaterialShader" => "QtQuick/QSGMaterialShader",
        "QSGMaterialType" => "QtQuick/QSGMaterialType",
        "QSGNode" => "QtQuick/QSGNode",
        "QSGNodeVisitor" => "QtQuick/QSGNodeVisitor",
        "QSGOpacityNode" => "QtQuick/QSGOpacityNode",
        "QSGOpaqueTextureMaterial" => "QtQuick/QSGOpaqueTextureMaterial",
        "QSGRootNode" => "QtQuick/QSGRootNode",
        "QSGSimpleMaterial" => "QtQuick/QSGSimpleMaterial",
        "QSGSimpleMaterialComparableMaterial" => "QtQuick/QSGSimpleMaterialComparableMaterial",
        "QSGSimpleMaterialShader" => "QtQuick/QSGSimpleMaterialShader",
        "QSGSimpleRectNode" => "QtQuick/QSGSimpleRectNode",
        "QSGSimpleTextureNode" => "QtQuick/QSGSimpleTextureNode",
        "QSGTexture" => "QtQuick/QSGTexture",
        "QSGTextureMaterial" => "QtQuick/QSGTextureMaterial",
        "QSGTransformNode" => "QtQuick/QSGTransformNode",
        "QSGVertexColorMaterial" => "QtQuick/QSGVertexColorMaterial",
        "qquickanchors_p.h" => "QtQuick/private/qquickanchors_p.h",
        "qquickcanvasitem_p.h" => "QtQuick/private/qquickcanvasitem_p.h",
        "qquickcontext2d_p.h" => "QtQuick/private/qquickcontext2d_p.h",
        "qquickevents_p_p.h" => "QtQuick/private/qquickevents_p_p.h",
        "qquickmousearea_p.h" => "QtQuick/private/qquickmousearea_p.h",
        "qquickpositioners_p.h" => "QtQuick/private/qquickpositioners_p.h",
        "qquickrectangle_p.h" => "QtQuick/private/qquickrectangle_p.h",
        "qquickscalegrid_p.h" => "QtQuick/private/qquickscalegrid_p.h",
        "qquickshadereffectmesh_p.h" => "QtQuick/private/qquickshadereffectmesh_p.h",
        "qquickshadereffectsource_p.h" => "QtQuick/private/qquickshadereffectsource_p.h",
        "qquicktext_p.h" => "QtQuick/private/qquicktext_p.h",
        "qquickvisualdatamodel_p.h" => "QtQuick/private/qquickvisualdatamodel_p.h",
        "qsgnodeupdater_p.h" => "QtQuick/private/qsgnodeupdater_p.h",
        "qsgrenderer_p.h" => "QtQuick/private/qsgrenderer_p.h",
        "qsgadaptionlayer_p.h" => "QtQuick/private/qsgadaptionlayer_p.h",
        "qsgcontext_p.h" => "QtQuick/private/qsgcontext_p.h",
        "qsgcontextplugin_p.h" => "QtQuick/private/qsgcontextplugin_p.h",
        "qsgdefaultdistancefieldglyphcache_p.h" => "QtQuick/private/qsgdefaultdistancefieldglyphcache_p.h",
        "qsgareaallocator_p.h" => "QtQuick/private/qsgareaallocator_p.h",
        "qsgdistancefieldutil_p.h" => "QtQuick/private/qsgdistancefieldutil_p.h",
        "qsgpainternode_p.h" => "QtQuick/private/qsgpainternode_p.h",
        "qsgtexture_p.h" => "QtQuick/private/qsgtexture_p.h",
        "qsgtexturematerial_p.h" => "QtQuick/private/qsgtexturematerial_p.h",
        "qsgtextureprovider_p.h" => "QtQuick/private/qsgtextureprovider_p.h",
        "qdeclarativeanimation_p.h" => "QtQuick/private/qdeclarativeanimation_p.h",
        "qdeclarativebehavior_p.h" => "QtQuick/private/qdeclarativebehavior_p.h",
        "qdeclarativepixmapcache_p.h" => "QtQuick/private/qdeclarativepixmapcache_p.h",
        "qdeclarativepropertychanges_p.h" => "QtQuick/private/qdeclarativepropertychanges_p.h",
        "qdeclarativestate_p.h" => "QtQuick/private/qdeclarativestate_p.h",
        "qdeclarativestategroup_p.h" => "QtQuick/private/qdeclarativestategroup_p.h",
        "qdeclarativetimer_p.h" => "QtQuick/private/qdeclarativetimer_p.h",
        "qdeclarativetransition_p.h" => "QtQuick/private/qdeclarativetransition_p.h",
    }
);
# Module dependencies.
# Every module that is required to build this module should have one entry.
# Each of the module version specifiers can take one of the following values:
#   - A specific Git revision.
#   - any git symbolic ref resolvable from the module's repository (e.g. "refs/heads/master" to track master branch)
#
%dependencies = (
        "qtbase" => "refs/heads/master",
        "qtxmlpatterns" => "refs/heads/master",
);
